Interface SupportPlan
- All Known Implementing Classes:
SupportPlanJson
public interface SupportPlan
A Smart Hands support plan retrieved from the Equinix Customer Portal Support Plans v2 API
(
GET /colocations/v2/supportPlans).-
Method Summary
Modifier and TypeMethodDescriptionReturns the account number that owns the support plan.Returns the number of minutes assigned for a pro-rated plan.Returns the customer assignment details (resellers only).Returns the number of minutes consumed for the plan.Returns the date and time the support plan was created, in ISO 8601 format.Returns the number of minutes consumed in the current month (MONTHLY/MONTHLY_ROLLOVER only).Returns the plan end date inYYYY-MM-DDformat.getIbxs()Returns the IBXs where the support plan can be used.Indicates whether the plan can only be used on a specific IBX.getId()Returns the unique identifier of the plan.Returns the billing frequency of the plan.Returns the name of the support plan.Returns the number of minutes consumed for prepaid (ANNUAL) plans.Returns the number of minutes consumed in the previous month (MONTHLY/MONTHLY_ROLLOVER only).Returns the Equinix product catalog code for the plan.Returns the number of minutes purchased for the plan.Returns the number of minutes remaining for the plan.Returns the plan start date inYYYY-MM-DDformat.Returns the status of the support plan.Returns the number of minutes assigned to an end customer (resellers only).Returns the date and time the support plan was last updated, in ISO 8601 format.
-
Method Details
-
getId
String getId()Returns the unique identifier of the plan. May repeat across entries for rollover plans or plan assignment.- Returns:
- the plan id
-
getAccountNumber
String getAccountNumber()Returns the account number that owns the support plan.- Returns:
- the account number
-
getPlanName
-
getProductCode
String getProductCode()Returns the Equinix product catalog code for the plan.- Returns:
- the product code
-
getIbxs
-
getIbxSpecific
Boolean getIbxSpecific()Indicates whether the plan can only be used on a specific IBX.- Returns:
truewhen IBX-specific
-
getPlanFrequency
PlanFrequency getPlanFrequency()Returns the billing frequency of the plan.- Returns:
- the plan frequency
-
getPurchasedMinutes
Integer getPurchasedMinutes()Returns the number of minutes purchased for the plan.- Returns:
- the purchased minutes, or
nullif not provided
-
getAssignedMinutes
Integer getAssignedMinutes()Returns the number of minutes assigned for a pro-rated plan.- Returns:
- the assigned minutes, or
nullif not provided
-
getConsumedMinutes
Integer getConsumedMinutes()Returns the number of minutes consumed for the plan.- Returns:
- the consumed minutes, or
nullif not provided
-
getRemainingMinutes
Integer getRemainingMinutes()Returns the number of minutes remaining for the plan.- Returns:
- the remaining minutes, or
nullif not provided
-
getPreviousConsumedMinutes
Integer getPreviousConsumedMinutes()Returns the number of minutes consumed in the previous month (MONTHLY/MONTHLY_ROLLOVER only).- Returns:
- the previous consumed minutes, or
nullif not provided
-
getCurrentConsumedMinutes
Integer getCurrentConsumedMinutes()Returns the number of minutes consumed in the current month (MONTHLY/MONTHLY_ROLLOVER only).- Returns:
- the current consumed minutes, or
nullif not provided
-
getPrepaidConsumedMinutes
Integer getPrepaidConsumedMinutes()Returns the number of minutes consumed for prepaid (ANNUAL) plans.- Returns:
- the prepaid consumed minutes, or
nullif not provided
-
getTransitionMinutes
Integer getTransitionMinutes()Returns the number of minutes assigned to an end customer (resellers only).- Returns:
- the transition minutes, or
nullif not provided
-
getStartDate
-
getEndDate
-
getStatus
-
getCreatedDateTime
String getCreatedDateTime()Returns the date and time the support plan was created, in ISO 8601 format.- Returns:
- the created date-time
-
getUpdatedDateTime
String getUpdatedDateTime()Returns the date and time the support plan was last updated, in ISO 8601 format.- Returns:
- the updated date-time
-
getAssignment
SupportPlanAssignment getAssignment()Returns the customer assignment details (resellers only).- Returns:
- the assignment, or
nullif not assigned
-